<?php

/*
 * @version $Id: config.form.php 69 2011-11-08 11:32:28Z remi $
 -------------------------------------------------------------------------
 loadentity - LoadEntity plugin for GLPI
 Copyright (C) 2003-2011 by the loadentity Development Team.

 https://forge.indepnet.net/projects/loadentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of loadentity.

 loadentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 loadentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with loadentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------
if (!defined('GLPI_ROOT')) {
   define('GLPI_ROOT', '../../..');
}

include (GLPI_ROOT."/inc/includes.php");

Session::checkRight("config", "w");

require_once "../inc/config.class.php";

$config = new PluginLoadentityConfig();

if (isset($_POST["add"]) && !empty($_POST["url"])) {
   $config->check(-1,'w',$_POST);
   $config->add($_POST);

} else  if (isset($_POST["update"]) && !empty($_POST["url"])) {
   $config->check(1,'w',$_POST);
   $config->update($_POST);
}

Html::header($LANG['plugin_loadentity']['setup'][2], $_SERVER["PHP_SELF"], "config", "plugins");
$config->showForm($config->getFromDB(1) ? 1 : 0);

Html::footer();
?>
